PDFCollectionExtension (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf.extensions

## Class PDFCollectionExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
    - - org.apache.fop.render.pdf.extensions.PDFCollectionExtension

- Direct Known Subclasses:
    PDFArrayExtension, PDFDictionaryExtension

      public abstract class PDFCollectionExtension
      extends PDFCollectionEntryExtension

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `PROPERTY_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PDFCollectionExtension(PDFObjectType type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addEntry(PDFCollectionEntryExtension entry)`
    `abstract PDFCollectionEntryExtension` | `getLastEntry()`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `getKey, setKey`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

      `getElementName, getType, getValue, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFCollectionExtension

          protected PDFCollectionExtension(PDFObjectType type)

  - ### Method Detail

    - #### addEntry

          public abstract void addEntry(PDFCollectionEntryExtension entry)

    - #### getLastEntry

          public abstract PDFCollectionEntryExtension getLastEntry()

Copyright © 2025 Apache Software Foundation. All rights reserved.